<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:32 GMT 2020 -->
<title>D-Index</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="D-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Game/Room.html#damageOrHeal">damageOrHeal</a></span> - Variable in class Game.<a href="../Game/Room.html" title="class in Game">Room</a></dt>
<dd>
<div class="block">Ghost damage if positive, Shield heal if negative or neither of them if 0</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayList.html#DEFAULT_CAPACITY">DEFAULT_CAPACITY</a></span> - Static variable in class ArrayListPackage.<a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayList</a></dt>
<dd>
<div class="block">Default size of the array</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#DEFAULT_CAPACITY">DEFAULT_CAPACITY</a></span> - Variable in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#DEFAULT_EXPAND_BY">DEFAULT_EXPAND_BY</a></span> - Variable in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#DEFAULTENTRY">DEFAULTENTRY</a></span> - Static variable in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">default denomination of the entry on the maps</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#DEFAULTEXIT">DEFAULTEXIT</a></span> - Static variable in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">default denomination of the exit on the maps</div>
</dd>
<dt><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#dequeue--">dequeue()</a></span> - Method in class QueuePackage.<a href="../QueuePackage/LinkedQueue.html" title="class in QueuePackage">LinkedQueue</a></dt>
<dd>
<div class="block">Method that removes if possible the front Node from the Queue</div>
</dd>
<dt><span class="memberNameLink"><a href="../QueuePackage/QueueADT.html#dequeue--">dequeue()</a></span> - Method in interface QueuePackage.<a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage">QueueADT</a></dt>
<dd>
<div class="block">Removes and returns the element at the front of this queue.</div>
</dd>
<dt><a href="../Graph/DirectedGraph.html" title="class in Graph"><span class="typeNameLink">DirectedGraph</span></a>&lt;<a href="../Graph/DirectedGraph.html" title="type parameter in DirectedGraph">T</a>&gt; - Class in <a href="../Graph/package-summary.html">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedGraph.html#DirectedGraph--">DirectedGraph()</a></span> - Constructor for class Graph.<a href="../Graph/DirectedGraph.html" title="class in Graph">DirectedGraph</a></dt>
<dd>
<div class="block">Constructor of a Directed Graph with a default capacity of 10</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedGraph.html#DirectedGraph-int-">DirectedGraph(int)</a></span> - Constructor for class Graph.<a href="../Graph/DirectedGraph.html" title="class in Graph">DirectedGraph</a></dt>
<dd>
<div class="block">Constructor of a Directed Graph with a capacity given by the user</div>
</dd>
<dt><a href="../Graph/DirectedNetwork.html" title="class in Graph"><span class="typeNameLink">DirectedNetwork</span></a>&lt;<a href="../Graph/DirectedNetwork.html" title="type parameter in DirectedNetwork">T</a>&gt; - Class in <a href="../Graph/package-summary.html">Graph</a></dt>
<dd>
<div class="block">Directed Network Class</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedNetwork.html#DirectedNetwork-int-">DirectedNetwork(int)</a></span> - Constructor for class Graph.<a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dt>
<dd>
<div class="block">Constructor method for a directed network with a capacity given by a
 parameter</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#displayMap--">displayMap()</a></span> - Method in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Method that displays the map information.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Menu.html#displayMaps--">displayMaps()</a></span> - Method in class Game.<a href="../Game/Menu.html" title="class in Game">Menu</a></dt>
<dd>
<div class="block">Method to print maps and return number of maps</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#displayRatings--">displayRatings()</a></span> - Method in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Method to display the ratings of the map</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#DIVIDER">DIVIDER</a></span> - Static variable in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Variable to do not repeat every time want use divider</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Menu.html#DIVIDER">DIVIDER</a></span> - Static variable in class Game.<a href="../Game/Menu.html" title="class in Game">Menu</a></dt>
<dd>
<div class="block">Variable to do not repeat every time want use divider</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedNetwork.html#DIVIDER">DIVIDER</a></span> - Static variable in class Graph.<a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dt>
<dd>
<div class="block">Variable to insert divider (not repeat every time)</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
